<script src="<?php echo base_url();?>scripts/custom/get_documents.js"></script>
<div class="white-area-content">
<div class="db-header clearfix">
    <div class="page-header-title"> <span class="glyphicon glyphicon glyphicon-file"></span> <?php echo lang("ctn_383") ?></div>
    <div class="db-header-extra">
</div>
</div>

<div class="panel panel-default">
<div class="panel-body">
<?php echo form_open_multipart(site_url("documents/edit_pro/" . $document->ID), array("class" => "form-horizontal")) ?>
            <div class="form-group">
                    <label for="p-in" class="col-md-2 label-heading"><?php echo lang("ctn_384") ?></label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" id="p-in" name="name" value="<?php echo $document->title ?>">
                    </div>
            </div>
            <div class="form-group">
                    <label for="p-in" class="col-md-2 label-heading"><?php echo lang("ctn_385") ?></label>
                    <div class="col-md-10">
                        <textarea name="document" id="document-area"><?php echo $document->document ?></textarea>
                    </div>
            </div>
            <div class="form-group">
                    <label for="p-in" class="col-md-2 label-heading"><?php echo lang("ctn_386") ?></label>
                    <div class="col-md-10">
                        <select name="projectid" class="form-control">
                        <?php foreach($projects->result() as $r) : ?>
                        	<option value="<?php echo $r->ID ?>" <?php if($r->ID == $document->projectid) echo "selected" ?>><?php echo $r->name ?></option>
                        <?php endforeach; ?>
                        </select>
                    </div>
            </div>
            <hr>
            <h3><?php echo lang("ctn_396") ?></h3>
            <table class="table table-bordered">
            <tr class="table-header"><td><?php echo lang("ctn_397") ?></td><td><?php echo lang("ctn_398") ?></td><td><?php echo lang("ctn_399") ?></td><td><?php echo lang("ctn_400") ?></td><td><?php echo lang("ctn_52") ?></td></tr>
            <?php foreach($files->result() as $r) : ?>
                <tr><td><?php echo $r->name ?></td><td><a href="<?php echo base_url() ?>/<?php echo $this->settings->info->upload_path_relative ?>/<?php echo $r->file_name ?>" class="btn btn-info btn-xs" download="<?php echo $r->name ?>"><?php echo lang("ctn_401") ?></a></td><td><?php echo $r->file_type ?></td><td><?php echo $r->file_size ?>KB</td><td><a href="<?php echo site_url("documents/delete_file/" . $r->ID . "/" . $this->security->get_csrf_hash()) ?>" class="btn btn-danger btn-xs"><?php echo lang("ctn_57") ?></a></td></tr>
            <?php endforeach; ?>
            </table>
            <hr>
            <h3><?php echo lang("ctn_387") ?></h3>
            <div id="files">
            <div class="form-group">
                    <label for="p-in" class="col-md-2 label-heading"><?php echo lang("ctn_388") ?>1</label>
                    <div class="col-md-10">
                        <input type="file" name="userfile_1" class="form-control">
                    </div>
            </div>
            </div>
            <input type="hidden" name="file_count" value="1" id="file_count" />
            <p><input type="button" class="btn btn-info btn-sm" value="<?php echo lang("ctn_424") ?>" onclick="add_file()"></p>
            <hr>
            <h3><?php echo lang("ctn_389") ?></h3>
            <p><?php echo lang("ctn_390") ?></p>
            <div class="form-group">
                    <label for="p-in" class="col-md-2 label-heading"><?php echo lang("ctn_391") ?></label>
                    <div class="col-md-6">
                        <select name="projectid_link" class="form-control" id="document-search">
                        <option value="0"><?php echo lang("ctn_392") ?></option>
                            <?php foreach($projects->result() as $r) : ?>
                            <option value="<?php echo $r->ID ?>" <?php if($r->ID == $this->user->info->active_projectid) echo "selected" ?>><?php echo $r->name ?></option>
                            <?php endforeach; ?>
                        </select> 
                    </div>
            </div>
            <div class="form-group" id="link_documents">
                    <label for="p-in" class="col-md-2 label-heading"><?php echo lang("ctn_393") ?></label>
                    <div class="col-md-6">
                        <select name="link_documentid" class="form-control">
                        <option value="<?php echo $document->link_documentid ?>"><?php echo $document->link_title ?></option>
                        <option value="0"><?php echo lang("ctn_394") ?></option>
                        </select> 
                    </div>
            </div>

            <p><input type="submit" class="btn btn-primary form-control" value="<?php echo lang("ctn_402") ?>" /></p>
            <?php echo form_close() ?>
</div>
</div>


</div>


<script type="text/javascript">
CKEDITOR.replace('document-area', { height: '300'});

function add_file() 
{
    var count = $('#file_count').val();
    count++;
    $('#files').append('<div class="form-group">'
                    +'<label for="p-in" class="col-md-2 label-heading">Upload File #'+count+'</label>'
                    +'<div class="col-md-10">'
                    +'<input type="file" name="userfile_'+count+'" class="form-control">'
                    +'</div>'
            +'</div>');
    $('#file_count').val(count);
}
</script>