<div class="white-area-content">
<div class="db-header clearfix">
    <div class="page-header-title"> <span class="glyphicon glyphicon-book"></span> <?php echo lang("ctn_435") ?></div>
    <div class="db-header-extra"> <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#addModal"><?php echo lang("ctn_436") ?></button>
</div>
</div>

<table class="table table-bordered">
<tr class="table-header"><td><?php echo lang("ctn_438") ?></td><td><?php echo lang("ctn_421") ?></td><td><?php echo lang("ctn_52") ?></td></tr>
<?php foreach($categories->result() as $r) : ?>
<tr><td><?php echo $r->name ?></td><td><?php echo $r->description ?></td><td><a href="<?php echo site_url("knowledge/index/0/" . $r->ID) ?>" class="btn btn-info btn-xs"><?php echo lang("ctn_437") ?></a> <a href="<?php echo site_url("knowledge/edit_category/" . $r->ID) ?>" class="btn btn-warning btn-xs"><?php echo lang("ctn_55") ?></a> <a href="<?php echo site_url("knowledge/delete_category/" . $r->ID . "/" . $this->security->get_csrf_hash()) ?>" class="btn btn-danger btn-xs"><?php echo lang("ctn_57") ?></a></td></tr>
<?php endforeach; ?>
</table>

<div class="align-center">
<?php echo $this->pagination->create_links() ?>
</div>

</div>


<div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel"><?php echo lang("ctn_436") ?></h4>
      </div>
      <div class="modal-body">
      <?php echo form_open(site_url("knowledge/add_category"), array("class" => "form-horizontal")) ?>
            <div class="form-group">
                    <label for="p-in" class="col-md-4 label-heading"><?php echo lang("ctn_438") ?></label>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="p-in" name="name" value="">
                    </div>
            </div>
            <div class="form-group">
                    <label for="p-in" class="col-md-4 label-heading"><?php echo lang("ctn_421") ?></label>
                    <div class="col-md-8">
                        <textarea name="description" id="cat-description"></textarea>
                    </div>
            </div>
            <div class="form-group">
                    <label for="p-in" class="col-md-4 label-heading"><?php echo lang("ctn_428") ?></label>
                    <div class="col-md-8">
                        <select name="projects[]" multiple class="form-control chosen-select-no-single ui-front" id="ug" data-placeholder="<?php echo lang("ctn_493") ?>">
                            <?php foreach($projects->result() as $r) : ?>
                                <option value="<?php echo $r->ID ?>"><?php echo $r->name ?></option>
                            <?php endforeach; ?>
                        </select>
                        <span class="help-block"><?php echo lang("ctn_492") ?></span>
                    </div>
            </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo lang("ctn_60") ?></button>
        <input type="submit" class="btn btn-primary" value="<?php echo lang("ctn_61") ?>" />
        <?php echo form_close() ?>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript">
$(document).ready(function() {

      $('#addModal').on('shown.bs.modal', function () {
   $(".chosen-select-no-single").chosen({
    disable_search_threshold:10
});
});
CKEDITOR.replace('cat-description', { height: '100'});
});
</script>