<?php

$lang['error_1'] = "You need to be logged in to view this page!";
$lang['error_2'] = "You do not have access to this page!";
$lang['error_3'] = "This user does not exist:";
$lang['error_4'] = "Invalid Group!";
$lang['error_5'] = "Group name cannot be empty!";
$lang['error_6'] = "Invalid Hash!";
$lang['error_7'] = "That user is not part of this group!";
$lang['error_8'] = "Invalid Email Template";
$lang['error_9'] = "You cannot leave the title or message empty!";
$lang['error_10'] = "IP cannot be empty!";
$lang['error_11'] = "Invalid Ip Block";
$lang['error_12'] = "Could not find any members with that criteria!";
$lang['error_13'] = "This member does not exist!";
$lang['error_14'] = "Username must be at least 3 characters!";
$lang['error_15'] = "Username can only contain letters, numbers and underscores!";
$lang['error_16'] = "That username is already in use!";
$lang['error_17'] = "Your password must be at least 6 characters long.";
$lang['error_18'] = "Email cannot be empty!";
$lang['error_19'] = "You did not enter a valid Email Address!";
$lang['error_20'] = "That email address is already in use!";
$lang['error_21'] = "Upload Error:";
$lang['error_22'] = "Your Passwords do not match!";
$lang['error_23'] = "Site name or email cannot be empty!";
$lang['error_24'] = "Missing Home Stats!";
$lang['error_25'] = "Invalid Language!";
$lang['error_26'] = "You have been blocked from this site!";
$lang['error_27'] = "You are already logged in!";
$lang['error_28'] = "You are missing some details!";
$lang['error_29'] = "Invalid Login Details!";
$lang['error_30'] = "You cannot login using Socail Services as it has been disabled!";
$lang['error_31'] = "Missing Google API Keys";
$lang['error_32'] = "Could not obtain Google Auth ID";
$lang['error_33'] = "Missing Facebook API Keys";
$lang['error_34'] = "Unable to obtain Access Token from FB!";
$lang['error_35'] = "Missing Twitter API Keys";
$lang['error_36'] = "The callback setting was not set to true. Something went wrong.";
$lang['error_37'] = "Twitter API is not responding. Twitter API may be down. HTTP CODE: ";
$lang['error_38'] = "Invalid Oauth Token!";
$lang['error_39'] = "Something went wrong with obtaining the Twitter Access Token";
$lang['error_40'] = "Something went wrong with verifying your Twitter Credentials";
$lang['error_41'] = "Invalid Login Requirements";
$lang['error_42'] = "Invalid Reset Details!";
$lang['error_43'] = "Reset Token Expired!";
$lang['error_44'] = "Your passwords do not match!";
$lang['error_45'] = "Your new password cannot be empty!";
$lang['error_46'] = "You have already requested a password reset in the last 15 minutes";
$lang['error_47'] = "Invalid Email Address";
$lang['error_48'] = "Missing Email Template!";
$lang['error_49'] = "You cannot search for nothing!";
$lang['error_50'] = "No members could be find with that search criteria.";
$lang['error_51'] = "Invalid Profile";
$lang['error_52'] = "Invalid User!";
$lang['error_53'] = "This user has been banned!";
$lang['error_54'] = "Registration disabled!";
$lang['error_55'] = "Invalid Captcha";
$lang['error_56'] = "First name is too long!";
$lang['error_57'] = "Last name is too long!";
$lang['error_58'] = "First and Last name cannot be empty!";
$lang['error_59'] = "You entered the wrong current password";

//Version 1.1
$lang['error_60'] = "Payments have been disabled!";
$lang['error_61'] = "Invalid Plan!";
$lang['error_62'] = "You do not have enough credits to purchase this plan!";
$lang['error_63'] = "You already have the Unlimited Premium Time package!";

// Version 1.2
$lang['error_64'] = "Role Name cannot be empty!";
$lang['error_65'] = "User role does not exist!";
$lang['error_66'] = "Only a Super Admin can change the User Role of a member!";
$lang['error_67'] = "You need to be a Super Admin user in order to create Admin Privileged Users";
$lang['error_68'] = "Invalid Project!";
$lang['error_69'] = "Invalid Document!";
$lang['error_70'] = "This document does not belong to this project!";
$lang['error_71'] = "Knowledge Base Disabled!";
$lang['error_72'] = "Invalid Category!";
$lang['error_73'] = "Invalid Article!";
$lang['error_74'] = "Article does not belong to this project!";
$lang['error_75'] = "Contact Us Disabled!";
$lang['error_76'] = "You must wait 15 minutes before sending another contact us request.";
$lang['error_77'] = "Invalid Email Address provided!";
$lang['error_78'] = "You left a required field empty!";
$lang['error_79'] = "You do not have permission to do this!";
$lang['error_80'] = "Field name cannot be empty!";
$lang['error_81'] = "Invalid field Type!";
$lang['error_82'] = "Invalid Project!";
$lang['error_83'] = "This project does not have Contact Forms enabled!";
$lang['error_84'] = "Invalid Field!";
$lang['error_85'] = "Document title cannot be empty!";
$lang['error_86'] = "This project has documentation section disabled!";
$lang['error_87'] = "Link Document does not exist!";
$lang['error_88'] = "You cannot link to another document that is already linking to another document!";
$lang['error_89'] = "There was an error with uploading the file. See below: ";
$lang['error_90'] = "Document does not exist!";
$lang['error_91'] = "You cannot link the document to itself!";
$lang['error_92'] = "Invalid File!";
$lang['error_93'] = "Invalid Sticky!";
$lang['error_94'] = "Title cannot be empty!";
$lang['error_95'] = "The knowledge base is not enabled for this project!";
$lang['error_96'] = "The category you selected does not belong to the project you selected!";
$lang['error_97'] = "Category name cannot be empty!";
$lang['error_98'] = "Knowledge base does not exist!";
$lang['error_99'] = "Category does not exist!";
$lang['error_100'] = "You have attempted to login too many times! Please wait 15 minutes before trying again.";
$lang['error_101'] = "You must activate your account before you can login.";
$lang['error_102'] = "Click here";
$lang['error_103'] = "to resend activation code to your email address.";
$lang['error_104'] = "The email address you specified is not valid!";
$lang['error_105'] = "Project name cannot be empty!";
$lang['error_106'] = "Project does not exist!";
$lang['error_107'] = "Invalid Code!";
$lang['error_108'] = "You must wait 15 minutes before sending another email activation request.";
$lang['error_109'] = "Invalid User!";
$lang['error_110'] = "The news section is disabled for this project!";
$lang['error_111'] = "News title cannot be empty!";
$lang['error_112'] = "This project doesn't have a news section activated!";
$lang['error_113'] = "Invalid News!";
$lang['error_114'] = "";
$lang['error_115'] = "";
$lang['error_116'] = "";
$lang['error_117'] = "";
$lang['error_118'] = "";
$lang['error_119'] = "";
$lang['error_120'] = "";
$lang['error_121'] = "";
$lang['error_122'] = "";
$lang['error_123'] = "";
$lang['error_124'] = "";
$lang['error_125'] = "";
$lang['error_126'] = "";
$lang['error_127'] = "";
$lang['error_128'] = "";
$lang['error_129'] = "";
$lang['error_130'] = "";
$lang['error_131'] = "";
$lang['error_132'] = "";
$lang['error_133'] = "";
$lang['error_134'] = "";
$lang['error_135'] = "";
$lang['error_136'] = "";
$lang['error_137'] = "";
$lang['error_138'] = "";
$lang['error_139'] = "";
$lang['error_140'] = "";
$lang['error_141'] = "";
$lang['error_142'] = "";
$lang['error_143'] = "";
$lang['error_144'] = "";
$lang['error_145'] = "";
$lang['error_146'] = "";
$lang['error_147'] = "";
$lang['error_148'] = "";
$lang['error_149'] = "";
$lang['error_150'] = "";
$lang['error_151'] = "";
$lang['error_152'] = "";
$lang['error_153'] = "";


?>